"""tests that several fireable transitions with the same priority
make the plan fail"""


plan = get_plan(memory)
# check plan state
assert_equals(plan.state, 'failed')
# check steps'state
assert_equals(plan.elements['step1'].state, 'done')
assert_elements_state(plan, ['step2', 'step3'], 'impossible')
# check transitions'state
assert_elements_state(plan, ['transition1', 'transition2'], 'impossible')
